
%global upstream_version 0.9.4

Name:           greenwave
Version:        0.9.4
Release:        2%{?dist}
Summary:        Service for gating on automated tests
License:        GPLv2+
URL:            https://pagure.io/greenwave
Source0:        https://files.pythonhosted.org/packages/source/g/%{name}/%{name}-%{upstream_version}.tar.gz

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinxcontrib-httpdomain
BuildRequires:  python3-sphinxcontrib-issuetracker
BuildRequires:  python3-flask
BuildRequires:  python3-pytest
BuildRequires:  python3-requests
BuildRequires:  python3-PyYAML
BuildRequires:  python3-dogpile-cache
BuildRequires:  python3-fedmsg
BuildArch:      noarch
Requires:  python3-flask
Requires:  python3-requests
Requires:  python3-PyYAML
Requires:  python3-dogpile-cache
Requires:  python3-fedmsg

%description
Greenwave is a service for gating on automated tests by querying ResultsDB and
WaiverDB.

%prep
%setup -q -n %{name}-%{upstream_version}

%build
%py3_build
DEV=true GREENWAVE_CONFIG=$(pwd)/conf/settings.py.example make -C docs SPHINXOPTS= html text

%install
%py3_install

%check
export PYTHONPATH=%{buildroot}/%{python3_sitelib}
py.test-3 greenwave/tests/

%files
%license COPYING
%doc README.md conf
%doc docs/_build/html docs/_build/text
%{python3_sitelib}/%{name}
%{python3_sitelib}/%{name}*.egg-info
%{_sysconfdir}/fedmsg.d/*

%changelog
* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Sep 19 2018 Ralph Bean <rbean@redhat.com> - 0.9.4-1
- Latest upstream.

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu May 10 2018 Ralph Bean <rbean@redhat.com> - 0.7.1-1
- Include upstreamed "special-relevance" patch.

* Thu May 10 2018 Lukas Holecek <lholecek@redhat.com> - 0.7.0-1
- New RemoteOriginalSpecNvrRule for extending policies (#75).
- In case Greenwave found no matching results for a decision, the summary text
  has been re-worded to be clearer and to indicate how many results were
  expected (#145).
- Wildcard support for matching multiple product versions. This allows to
  specify ``product_versions`` like ``fedora-*`` in policies to match
  ``fedora-27``, ``fedora-28`` and any future release.
- Wildcard support in the ``repos`` list in ``rules`` in policy files (#155).
- Both new and old ResultsDB message format are now supported.

* Thu Mar 1 2018 Ralph Bean <rbean@redhat.com> - 0.6.1-1
- Latest upstream.
- Fixes for waiving the absence of a result.

* Fri Feb 16 2018 Ralph Bean <rbean@redhat.com> - 0.6.0-2
- Rebase Fedora specific patches onto the new release.

* Fri Feb 16 2018 Giulia Naponiello <gnaponie@redhat.com> - 0.6-1
- new upstream release:
  https://docs.pagure.org/greenwave/release-notes.html#greenwave-0-6

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Nov 17 2017 Matt Jia <mjia@redhat.com> - 0.5-1
- new upstream release 0.5.1:
    https://docs.pagure.org/greenwave/release-notes.html#greenwave-0-5

* Mon Oct 30 2017 Matt Jia <mjia@redhat.com> - 0.4-1
- new upstream release 0.4.1:
    https://docs.pagure.org/greenwave/release-notes.html#greenwave-0-4

* Tue Oct 24 2017 Matt Jia <mjia@redhat.com> - 0.3-4
- Use the SHA1 mangler when initializing the cache
  https://pagure.io/greenwave/pull-request/98

* Thu Oct 19 2017 Ralph Bean <rbean@redhat.com> - 0.3-3
- Apply fix for message handling.
  https://pagure.io/greenwave/pull-request/97

* Thu Oct 12 2017 Dan Callaghan <dcallagh@redhat.com> - 0.3-2
- Fix incorrect upstream tarball used

* Wed Oct 04 2017 Dan Callaghan <dcallagh@redhat.com> - 0.3-1
- New upstream release 0.3:
  https://docs.pagure.org/greenwave/release-notes.html#greenwave-0-3
- Reintroduced special relevance and FedoraAtomicCi patches

* Wed Sep 27 2017 Matt Jia <mjia@redhat.com> - 0.2-1
- new upstream release 0.2.1:
    https://docs.pagure.org/greenwave/release-notes.html#greenwave-0-2

* Thu Aug 24 2017 Ralph Bean <rbean@redhat.com> - 0.1.1-6.497594f
- Reintroduce the special relevance work on top of CORS.

* Thu Aug 24 2017 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.1.1-4.3084808
- Hopefully the final pre-release to get CORS to work

* Thu Aug 24 2017 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.1.1-3.df41ae5
- Another pre-release improving CORS support

* Thu Aug 24 2017 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.1.1-2.dae6153
- Second pre-release with CORS support

* Wed Aug 23 2017 Ralph Bean <rbean@redhat.com> - 0.1.1-1.02795e8
- Pre-release.

* Tue Aug 15 2017 Matt Jia <mjia@redhat.com> - 0.1-1
- initial version
